<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head>
    <title>课程详情</title>
    <link th:href="@{/Bootstrap/css/orderdetail.css}" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://cdn.bootcss.com/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://cdn.bootcss.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>

<body>
<div class="detail-container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a
                   th:href="@{'/courselist'}">
                    <span aria-hidden="true">返回列表</span>
                </a>
            </li>
        </ol>
    </nav>

    <h2>课程详情</h2>

    <form action="/savecourse", method="post" enctype="multipart/form-data">
        <input type="hidden" name="courseId" th:value="${course.courseId}">
        <div class="form-group row">
            <label class="col-sm-2">课程编号</label>
            <div class="col-sm-10">
                <span th:text="${course.courseId}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">课程名称</label>
            <div class="col-sm-10">
                <input class="form-control col-sm-8"
                       name="courseName" placeholder="课程名称" th:value="${course.courseName}">
            </div>
        </div>
        <br />
        <div class="form-group row">
            <label class="col-sm-2">课程价格</label>
            <div class="col-sm-10">
                <input class="form-control col-sm-8"
                       name="pricePerson" placeholder="课程价格" th:value="${course.pricePerson}">
            </div>
        </div>
        <br/>
        <div class="form-group row">
            <label class="col-sm-2">课程封面</label>
            <div class="col-sm-10">
                <img class="course-cover" th:src="${course.courseUrl}">
            </div>
        </div>
        <br/>
        <div class="form-group row">
            <label class="col-sm-2">课程月</label>
            <div class="col-sm-10">
                <select name="month" placeholder="请选择">
                    <option value="1" th:selected="${course.month == 1}">1</option>
                    <option value="2" th:selected="${course.month == 2}">2</option>
                    <option value="3" th:selected="${course.month == 3}">3</option>
                    <option value="4" th:selected="${course.month == 4}">4</option>
                    <option value="5" th:selected="${course.month == 5}">5</option>
                    <option value="6" th:selected="${course.month == 6}">6</option>
                    <option value="7" th:selected="${course.month == 7}">7</option>
                    <option value="8" th:selected="${course.month == 8}">8</option>
                    <option value="9" th:selected="${course.month == 9}">9</option>
                    <option value="10" th:selected="${course.month == 10}">10</option>
                    <option value="11" th:selected="${course.month == 11}">11</option>
                    <option value="12" th:selected="${course.month == 12}">12</option>
                </select>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">课程年</label>
            <div class="col-sm-10">
                <select name="year" placeholder="请选择">
                    <option value="2019" th:selected="${course.year == 2019}">2019</option>
                </select>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">创建时间</label>
            <div class="col-sm-10">
                <span th:text="${course.createTimeString}"></span>
            </div>
        </div>

        <input type="file" name="file" /><br/><br/>
        <input type="submit" value="保存" />
    </form>
</div>
</body>

</html>